Skip to main content
Events

List events of a contact

The contact’s events of the last 90 days, newest first, with metadata. Includes events tracked while the contact was a lead that was later merged into it. Paginate with cursor.

GET
/v2/contacts/{id}/events
Authorizationstringheaderrequired

API key as Bearer token. Use: Authorization: Bearer sk_...

idstringrequired

Featurebase contact ID.

Example: 67ec1234abcd5678ef901234
limitintegerquerydefault:20

Events per page, 1–100.

Required range: 1 <= x <= 100
Example: 20
cursorstringquery

The nextCursor of the previous page.

Maximum string length: 200
definitionIdstringquery

Only events of this event name (definition ID).

Featurebase-Versionenum<string>header

API version for this request. Defaults to your organization's configured API version if not specified.

Available options: 2026-08-19.orbit, 2026-01-01.nova, 2025-12-12.clover
Example: 2026-08-19.orbit

Response

application/json

Success

dataobject[]required

Array containing the actual response elements

nextCursorstring | nullrequired

Cursor to use for fetching the next page. Null if there are no more results.

Maximum string length: 512
Example: eyJpZCI6IjUwN2YxZjc3YmNmODZjZDc5OTQzOTAxMSJ9
objectenum<string>required

String representing the object type

Available options: list
Example: list